| IOFormat C# 1.8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IOFormat.StackWriter Class Reference
Inheritance diagram for IOFormat.StackWriter:

## Public Member Functions
| StackWriter (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (StackWriter obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (StackWriter obj)
static void | WriteFromPattern (MultiImageView multi, string outputFilePathPattern)
| Write a list of images to many files using a pattern to generate indexed filenames.
static void | WriteFromPattern (ImageView stack, string outputFilePathPattern)
| Write a stack of images to many files using a pattern to generate indexed filenames.

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Member Function Documentation

## ◆ WriteFromPattern() [1/2]

static void IOFormat.StackWriter.WriteFromPattern | ( | ImageView | stack,
|  | string | outputFilePathPattern
| ) |  |
| inline static

Write a stack of images to many files using a pattern to generate indexed filenames.

N-dimension image will be written as many N-1-dimension images. Last dimension (N) is used as the stack dimension.

e.g. a 3D image of size (10, 20, 30) will be written as 30 images of size (10, 20).

Parameters

  stack | The stack of images to write as separated files.
  outputFilePathPattern | The pattern for the output file path. The pattern must contain one group of consecutive '' characters, which will be replaced by the image index.

The count of '' characters sets the minimum count of digits for printing the image index, but the printed index may include additional digits.

e.g.

- `outputFilePattern = "output%%%%.png"` will create files named `output0000.png, output0001.png, ...,outut0010.png, outut0011.png`,etc.
- `outputFilePattern = "output%%.png"` will create files named `output00.png, output01.png, ..., output10.png, ..., output100.png, output101.png`, etc.
- `outputFilePattern = "output%.png"` will create files named `output0.png, output1.png, ..., output10.png, output11.png`, etc.
  Exceptions

    InvalidArgument | If the output file pattern is invalid.
    UnsupportedOperation | If the input image cannot be written as a stack.
    Error | If an error occurs while writing the images.

## ◆ WriteFromPattern() [2/2]

static void IOFormat.StackWriter.WriteFromPattern | ( | MultiImageView | multi,
|  | string | outputFilePathPattern
| ) |  |
| inline static

Write a list of images to many files using a pattern to generate indexed filenames.

Each frame of the input MultiImageView will be written as a separate file.

Parameters

  multi | The list of images to write as separated files.
  outputFilePathPattern | The pattern for the output file path. The pattern must contain one group of consecutive '' characters, which will be replaced by the image index.

The count of '' characters sets the minimum count of digits for printing the image index, but the printed index may include additional digits.

e.g.

- `outputFilePattern = "output%%%%.png"` will create files named `output0000.png, output0001.png, ...,outut0010.png, outut0011.png`,etc.
- `outputFilePattern = "output%%.png"` will create files named `output00.png, output01.png, ..., output10.png, ..., output100.png, output101.png`, etc.
- `outputFilePattern = "output%.png"` will create files named `output0.png, output1.png, ..., output10.png, output11.png`, etc.
  Exceptions

    InvalidArgument | If the output file pattern is invalid.
    Error | If an error occurs while writing the images.

The documentation for this class was generated from the following file:

- Release/net/generated/StackWriter.cs